Bug 689018 - Install needed network connection; offered wireless device without asking for passwords
Install needed network connection; offered wireless device without asking for...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-18 16:12 EDT by cam
Modified: 2012-08-16 11:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cam 2011-03-18 16:12:22 EDT
Description of problem:

I tried unsuccessfully to install F15 from preupgrade (from koji) F14. I managed to boot to anaconda and it prompted me to choose an interface to complete the upgrade - from wlan0 and em0.

I noticed from the two interfaces I was offered two network interfaces to complete the upgrade, one was wireless and did not give me any option to enter SSID or passphrase (so wasn't able to get a working link). Only the wired interface would work.

Ideally the wireless settings in use when I ran preupgrade could have been passed to anaconda (perhaps with my consent).

There was an option to identify the interface by flashing the leds - this wasn't effective on the wireless interface although with some imagination it might be possible to flash the wlan LED on the netbook. It doesn't matter because I know which is the wlan0 interface. Maybe this option is more suited to when there are more than one physical wired ethernet devices.

Version-Release number of selected component (if applicable):
Anaconda from koji for the preupgrade test day.

How reproducible:
I only tried twice and it happened both times.

Steps to Reproduce:
1. Use preupgrade to install on a netbook requiring network access at boot time
2. Select wireless device to complete upgrade 
3.
  
Actual results:
Wireless device fails to get link as there is no knowledge of the SSID/WEP configuration

Expected results:
Either pass the information from preupgrade to anaconda, or prompt for it.

Additional info:
Hardware was a HP/Compaq 311c
Comment 1 Richard Lloyd 2011-04-20 04:45:17 EDT
I had the same issue when install F15 beta from a USB stick on my Dell Mini 9 (set up by unetbootin unpacking the F15 beta 64-bit ISO and I put the ISO image at the top-level of the stick too because past experiences have shown I may need it).

I got the network prompt when submitting the boot loader config screen in Anaconda - it claimed that some repositories needed a network connection, but I hadn't even got to the software screen yet, so surely that's a bug? I've never had any previous Fedora release require a network connection during installation (I don't add any extra repositories during an install), so it's quite disappointing that F15 beta appears to need one.

When I selected "wlan0" as the device, it scanned for wireless access points, brought up the NetworkManager connections dialogue box and then seemingly infinitely spun its busy cursor and never found my wireless access point (possibly because it's a Broadcom wireless chipset and I usually use RPM Fusions wl drivers for it). Clicking on Close in the dialogue box caused the installer to attempt to activate wlan0, which then failed after a minute or so.
Comment 2 Stijn Hoop 2011-04-29 10:27:27 EDT
Running into the same problem when starting the Fedora 15 Beta installation from USB stick (converted from the x86_64-Install-DVD .iso using the livecd-iso-to-disk method).

After the step that asks where to install the bootloader etc, anaconda requires a network connection even though I have the complete set of packages on the USB stick. Trying to cancel the network dialog had no results.

I agree that having updates-testing enabled by default is useful but it seems excessive to not be able to continue an installation without network if you already downloaded all the necessary files?
Comment 3 James Laska 2011-04-29 10:51:08 EDT
Please note, there are several different use cases intermixed in this bug.  Upgrades, preupgrades and installs are all very different (bug related) beasts.  As filed, this bug report deals only with preupgrade prompting for the network.

Depending on the type of preupgrade install you perform, networking may be required (if insufficient disk space is available during preupgrade package caching).  Please attach installer log files to his bug report.  You will need to change to tty2 (<ctrl><alt>F2) and copy the following files to another system to upload here.

 - /tmp/*log

Concerning your comments about configuring the wireless device, I don't believe complex wireless configuration is supported during the text-mode loader portion of the installer.  I recommend retesting that using the Fedora 15 installer, and configuring wireless during the graphical instlalation process.  That is known to work, and is intended as the preferred method to enable wireless during installation (see http://docs.fedoraproject.org/en-US/Fedora/14/html/Installation_Guide/sn-Netconfig-x86.html).
Comment 4 James Laska 2011-04-29 11:06:29 EDT
Richard and Stijn, thanks for the feedback, but this bug concerns network prompts while preupgrading from F14->F15.  Any issues involving booting Fedora 15 installation media should be tracked as different issues.

(In reply to comment #1)
> I got the network prompt when submitting the boot loader config screen in
> Anaconda - it claimed that some repositories needed a network connection, but I
> hadn't even got to the software screen yet, so surely that's a bug? I've never
> had any previous Fedora release require a network connection during
> installation (I don't add any extra repositories during an install), so it's
> quite disappointing that F15 beta appears to need one.

That is expected now and is the result of the removal of the network-based stage2 image (https://fedoraproject.org/wiki/Anaconda/Features/UnifiedInitrd).  Some questions so we can understand the problem and file this accordingly ...

The question we need to answer is ... what ISO did you boot?  (netinst.iso, DVD.iso)?

If you boot media that does not include packages (e.g. netinst.iso or boot.iso), the installer needs to find the packages somewhere.  In this case, you will be prompted for networking information.

If you boot media that *does* include packages (e.g. DVD), the installer defaults to using *only* the local DVD repository.  Networking will only be required if you enable network repos or ask the installer for networking by other means.

If you boot the DVD, and the installer is prompting for networking, please file a new bug report.  Please include *all* installer logs when the network prompt occurs (/tmp/*log).

> When I selected "wlan0" as the device, it scanned for wireless access points,
> brought up the NetworkManager connections dialogue box and then seemingly
> infinitely spun its busy cursor and never found my wireless access point
> (possibly because it's a Broadcom wireless chipset and I usually use RPM
> Fusions wl drivers for it). Clicking on Close in the dialogue box caused the
> installer to attempt to activate wlan0, which then failed after a minute or so.

Yup, not sure there is much we can do there.  If your hardware requires proprietary drivers for activation, you might try using a driver disk.  Otherwise, Fedora cannot include those modules.  I've not explored creating on for the kmod-wl rpmfusion package, but you are welcome to experiment (see http://dup.et.redhat.com/ddiskit).

(In reply to comment #2)
> I agree that having updates-testing enabled by default is useful but it seems
> excessive to not be able to continue an installation without network if you
> already downloaded all the necessary files?

Let's confirm first what you both are booting.  If you are indeed booting a DVD, and by default, the installer is prompting you for networking, we have enough to track this is a new bug report.  It may be related to how you are booting the DVD from a USB device.  But let's confirm, and we can start tracking this as a new bug if needed.

Thanks!
Comment 5 Stijn Hoop 2011-04-30 08:27:49 EDT
James,

thanks for your extensive reply; see comments below

(In reply to comment #4)
> Richard and Stijn, thanks for the feedback, but this bug concerns network
> prompts while preupgrading from F14->F15.  Any issues involving booting Fedora
> 15 installation media should be tracked as different issues.

[...]

> The question we need to answer is ... what ISO did you boot?  (netinst.iso,
> DVD.iso)?
> 
> If you boot media that does not include packages (e.g. netinst.iso or
> boot.iso), the installer needs to find the packages somewhere.  In this case,
> you will be prompted for networking information.
> 
> If you boot media that *does* include packages (e.g. DVD), the installer
> defaults to using *only* the local DVD repository.  Networking will only be
> required if you enable network repos or ask the installer for networking by
> other means.
> 
> If you boot the DVD, and the installer is prompting for networking, please 
> file a new bug report.  Please include *all* installer logs when the
> network prompt occurs (/tmp/*log).

[...]
 
> It may be related to how you are
> booting the DVD from a USB device.  But let's confirm, and we can start
> tracking this as a new bug if needed.
> 
> Thanks!

This is definitely related to my installation method, which is documented here:

http://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo#How_to_Make_a_bootable_USB_Drive_to_Install_Fedora_instead_of_using_a_physical_DVD

With your explanation above now it does make sense to me why the installer did a network prompt; the instructions ask for the 'boot.iso' to be installed to the USB device. So you can disregard my comments, it seems that they are to be expected.

Note that it might still be useful to be able to boot an installation (not upgrade, not preupgrade, not live) from USB without having a network configured, which would be a separate bug -- but at the moment I don't have the resources to figure out what a good solution to that problem would be, and I do have a ready F15 install now, so I will not file that suggestion for now.
Comment 6 James Laska 2011-05-02 09:50:24 EDT
(In reply to comment #5)
> This is definitely related to my installation method, which is documented here:
> 
> http://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo#How_to_Make_a_bootable_USB_Drive_to_Install_Fedora_instead_of_using_a_physical_DVD
> 
> With your explanation above now it does make sense to me why the installer did
> a network prompt; the instructions ask for the 'boot.iso' to be installed to
> the USB device. So you can disregard my comments, it seems that they are to be
> expected.

Excellent, I'm glad we were able to pinpoint the root cause.

> Note that it might still be useful to be able to boot an installation (not
> upgrade, not preupgrade, not live) from USB without having a network
> configured, which would be a separate bug -- but at the moment I don't have the
> resources to figure out what a good solution to that problem would be, and I do
> have a ready F15 install now, so I will not file that suggestion for now.

The only non-network installation methods I'm aware of that would meet your needs are the live image and the DVD installer.  Both methods allow networking if needed, but they are intended not require networking to complete the installation.  Hopefully that meets your needs.

Thanks for the feedback!
Comment 7 Jayant Bedwal 2011-07-19 14:15:35 EDT
i am also experiencing the same problem. 
I downloaded a Fedora-15-x86_64-DVD.iso and made a bootable usb with the help of fedora software for creating a bootable usb.
But when i reach the step of selecting the default os and also the partition to install bootloader i get a message that it requires a working net connection to install certain online reposories. 
During the installation steps , nowhere i selected any additional packages nor i was prompted for any such window asking me to do so.
So its definitely a bug.
Also i was able to install it from live cd image but when i tried to configure yum on it using the packages from my dvd iso image i was unsuccessful and it constantly showed a particular error which unfortunately i don't remember right now.
In short i am highly disappointed by fedora15. Instead of releasing a new version every 6 months you should focus on fixing bugs in a particular and give some time for the development of the next version.
Your quality has certainly degraded. Quantity doesn't matter but its the quality that does. There are thousands of linux distributions available but fedora was popular because of its stability and support, which has been ruined by you people now. Now you release give only 6 months to the development of next fedora release and as such it is full of bugs.
Hope you think about this aspect and pay attention towards the quality and standards of fedora and minimize these kind of bugs in future releases. We don't want a release every six months, we can use the same release for 2 years but what we require most is the removal of such bugs.
Please please please give it a thought. Don't ruin fedora.
Comment 8 Fedora End Of Life 2012-08-16 11:42:39 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.